Package icyllis.modernui.widget

# Class AbsoluteLayout.LayoutParams

java.lang.Object
icyllis.modernui.view.ViewGroup.LayoutParams
icyllis.modernui.widget.AbsoluteLayout.LayoutParams

Enclosing class:
  `AbsoluteLayout`

public static class AbsoluteLayout.LayoutParams extends ViewGroup.LayoutParams
Per-child layout information associated with AbsoluteLayout.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `x`
  The horizontal, or X, location of the child within the view group.
  `int`
  `y`
  The vertical, or Y, location of the child within the view group.

  ### Fields inherited from class icyllis.modernui.view.ViewGroup.LayoutParams

  `height, MATCH_PARENT, width, WRAP_CONTENT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LayoutParams(int width, int height, int x, int y)`
  Creates a new set of layout parameters with the specified width, height and location.
  `LayoutParams(ViewGroup.LayoutParams source)`
  `LayoutParams(AbsoluteLayout.LayoutParams source)`
  Copy constructor.

- ## Method Summary

  ### Methods inherited from class icyllis.modernui.view.ViewGroup.LayoutParams

  `resolveLayoutDirection`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### x

    public int x
    The horizontal, or X, location of the child within the view group.

  - ### y

    public int y
    The vertical, or Y, location of the child within the view group.

- ## Constructor Details

  - ### LayoutParams

    public LayoutParams(int width, int height, int x, int y)
    Creates a new set of layout parameters with the specified width, height and location.
    Parameters:
      `width` - the width, either `ViewGroup.LayoutParams.MATCH_PARENT`, `ViewGroup.LayoutParams.WRAP_CONTENT` or a fixed size in pixels
      `height` - the height, either `ViewGroup.LayoutParams.MATCH_PARENT`, `ViewGroup.LayoutParams.WRAP_CONTENT` or a fixed size in pixels
      `x` - the X location of the child
      `y` - the Y location of the child

  - ### LayoutParams

    public LayoutParams(@Nonnull ViewGroup.LayoutParams source)

  - ### LayoutParams

    public LayoutParams(@Nonnull AbsoluteLayout.LayoutParams source)
    Copy constructor. Clones the width, height, x and y of the source.
    Parameters:
      `source` - The layout params to copy from.